function f=peakpick(a)
%finds the peak of the spectrum from AR parameters
%a is matrix of AR parameters pxT
% Written by Emtiyaz @ IISc.

T=size(a,2);
p=size(a,1);
f=zeros(1,T);
for t=1:T
	z=roots([1 -a(:,t)']);
	[wmin,pmax]=min(abs(exp(i*(angle(z)))-z));
	f(t)=128*angle(z(pmax))/(2*pi);
	
end


